Package ghidra.app.util.bin.format.xcoff

# Class XCoffSectionHeaderNames

java.lang.Object
ghidra.app.util.bin.format.xcoff.XCoffSectionHeaderNames

public final class XCoffSectionHeaderNames extends Object
Names of "special" sections.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `_BSS`
  `static final String`
  `_DATA`
  `static final String`
  `_DEBUG`
  `static final String`
  `_EXCEPT`
  `static final String`
  `_INFO`
  `static final String`
  `_LOADER`
  `static final String`
  `_OVRFLO`
  `static final String`
  `_PAD`
  `static final String`
  `_TEXT`
  `static final String`
  `_TYPCHK`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XCoffSectionHeaderNames()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### _TEXT

    public static final String _TEXT
    See Also:
      - Constant Field Values

  - ### _DATA

    public static final String _DATA
    See Also:
      - Constant Field Values

  - ### _BSS

    public static final String _BSS
    See Also:
      - Constant Field Values

  - ### _PAD

    public static final String _PAD
    See Also:
      - Constant Field Values

  - ### _LOADER

    public static final String _LOADER
    See Also:
      - Constant Field Values

  - ### _DEBUG

    public static final String _DEBUG
    See Also:
      - Constant Field Values

  - ### _TYPCHK

    public static final String _TYPCHK
    See Also:
      - Constant Field Values

  - ### _EXCEPT

    public static final String _EXCEPT
    See Also:
      - Constant Field Values

  - ### _OVRFLO

    public static final String _OVRFLO
    See Also:
      - Constant Field Values

  - ### _INFO

    public static final String _INFO
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### XCoffSectionHeaderNames

    public XCoffSectionHeaderNames()